/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "Code 12 Application Metadata", "zypp--appdata.html", [
      [ "Intro", "zypp--appdata.html#zypp-appdata_intro", null ],
      [ "Missing or wrong appdata", "zypp--appdata.html#zypp-appdata_wrong_appdata", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Code Snippets", "CodeSnippets.html", [
      [ "for_", "CodeSnippets.html#for_", null ],
      [ "erase elements from containers", "CodeSnippets.html#erase", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Notes on revisions", "Notes.html", [
      [ "6.8.0 - Deprecated methods deleted", "Notes.html#V_6_8_0", null ],
      [ "6.10.0 - Removed zypp::UpgradeStatistics", "Notes.html#V_6_10_0", null ]
    ] ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"Debug_8h.html#afc3d101f633a076cc1ca84b85b6224b2",
"IdStringType_8h.html#a0d4d774bf0afbfc38825ffa4f6b33352",
"Measure_8h.html",
"PackageProvider_8cc_source.html",
"PoolMember_8h.html#ae94cd07a576454d3dd6803db524488b7",
"RepoManager_8cc.html#aa10791a208cda422b58d4acf41aa21dc",
"SATResolver_8cc.html#ac1ea48913346af880b86234b4b5b6afb",
"String_8cc.html#adb668ecb122eb6de2d61fa3b3cbea555",
"TransferSettings_8cc_source.html",
"classzypp_1_1Arch.html",
"classzypp_1_1Capability.html#a00773c3743ec53ff1402e63219764ef2",
"classzypp_1_1CpeId_1_1Value.html#a26f3f7ad050425c6eda78a1f0845791e",
"classzypp_1_1Exception.html#a824be5fdccb344bec16ec341a0fa0d18",
"classzypp_1_1HistoryLogDataStampCommand.html",
"classzypp_1_1LocaleGuard.html#ac42a660140f65e315c3a630ec112ca4c",
"classzypp_1_1Patch.html#a217412a82513587d3646a8d82a71659f",
"classzypp_1_1PoolItemBest.html#a5945e80217d67216f7636ad29528c051",
"classzypp_1_1ProgressData.html#a92d26ba0ea8fa3e46c43ed55043980a3",
"classzypp_1_1RepoManager.html#a4f591a5ca273ade191a46eb1d2c480f9",
"classzypp_1_1ResPool.html#aee95bc8dc64a7f6cc288fd41653be553",
"classzypp_1_1Resolver.html#a4bdd6fe4de737b1ae30e618b8d183ed8",
"classzypp_1_1Target.html#a4d809504f790aae0d808871d49a176d6",
"classzypp_1_1ZConfig_1_1Impl.html#a19a1b70c48c46cf3b127e3e04351ef5e",
"classzypp_1_1base_1_1DrunkenBishop_1_1Impl.html#a794887824d861fe17a9743715964e89c",
"classzypp_1_1detail_1_1PoolQueryMatcher.html#a56f055338f77d242194e4fe520057a3d",
"classzypp_1_1filesystem_1_1StatMode.html#adaecf3cbd8d099dea8541f1ea89a7515",
"classzypp_1_1media_1_1MediaBadCAException.html#af0007f66ce601679b79082c05f7e40ae",
"classzypp_1_1media_1_1MediaHandler.html#a6fbdb4561add8d76085ff4c173bd6025",
"classzypp_1_1media_1_1MediaUnauthorizedException.html#a517394c0a363a043f11421b3bc995c70",
"classzypp_1_1media_1_1multifetchworker.html#a909dfd9177db5eb4d4dbb62cc8ca48b2",
"classzypp_1_1pool_1_1PoolImpl.html#a4125bd421229e12a03ca1f99e25313a7",
"classzypp_1_1repo_1_1ServiceNoUrlException.html#a418f39f940fb8ddf94402efdffd2f10a",
"classzypp_1_1sat_1_1Map.html#abcab36d1f1bbafe49824b857da40fdf9",
"classzypp_1_1sat_1_1Solvable.html#a368220f6dbb4f09b789a34fe0b6bb9b9",
"classzypp_1_1sat_1_1detail_1_1DIWrap.html#ac9d7303433066525e42860989379228e",
"classzypp_1_1syscontent_1_1Reader.html#aef5670e3bc6b9142f1a222c954e1da55",
"classzypp_1_1target_1_1TargetImpl.html#a938f97806e991c7842152bcf25a65c60",
"classzypp_1_1target_1_1rpm_1_1RpmInitException.html#acffca47ad1ea50b70b59d9a1301c905d",
"classzypp_1_1url_1_1UrlBadComponentException.html",
"classzypp_1_1xml_1_1XmlString.html#a3766d3b71d12ef75dee314d6508b4195",
"group__ACTIONFUNCTOR.html",
"namespacemembers_func.html",
"structzypp_1_1Arch_1_1CompatEntry.html#a28c8226cf398888b37ffdf5c7eb94ff2",
"structzypp_1_1ESetRelationDef.html#ab1a3c4014adf99503bdc3e40d9d9ac9aacf8239cfc6180d04aaa1791e85e42b8f",
"structzypp_1_1PluginScript_1_1Impl.html",
"structzypp_1_1RepoInfo_1_1Impl.html#a3d6d6557e433a2980f665d80ee9d52d2",
"structzypp_1_1ServiceInfo_1_1RepoState.html#ab9ce55b5d5c9ecba54c0297c21a509e5",
"structzypp_1_1debug_1_1TraceCAD.html#aaadc925922af4a0a06f27cc2136c869c",
"structzypp_1_1media_1_1DownloadProgressReport.html#a3e8189bdb852091500b26a343a5e3218a8f872a4083ab3ac4481e8ed1698d90f2",
"structzypp_1_1repo_1_1RepoCreateReport.html#a8e82de538558c66a6f9b1d9110990afa",
"structzypp_1_1sat_1_1SolvableType.html#ac0c7c4472ea761fea2698a2250cbbca4",
"structzypp_1_1target_1_1rpm_1_1RpmInstallReport.html#a78704e3b9309996233296db0f3ed1fef",
"structzypp_1_1xmlout_1_1Node.html#a2ded1e2db8677d3a855a624f0aaf29a4"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';